Bug 22588 - up2date of glibc-2.2-9 fails on K6 with "wrong architecture" message
up2date of glibc-2.2-9 fails on K6 with "wrong architecture" message
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-20 12:43 EST by Bob Plankers
Modified: 2015-01-07 18:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-19 20:33:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Plankers 2000-12-20 12:43:57 EST
I ran up2date today via the command line (sudo up2date -u) to pick up the 
new stunnel and slocate fixes, and not only did I receive all kinds of 
unpublished fixes to the compilers and libraries (put 'em on your web page 
when you release them!) but the glibc update, when attempted by me (sudo 
up2date glibc) failed, saying:

"There was a fatal RPM error.  The message was:
Test install failed:
package glibc-2.2-9 is for a different architecture"

My machine is an AMB K6-2 300 with a custom kernel built for K6es. I now 
have the -devel-2.2-9 package installed, and can force the other one when 
it becomes available on your FTP site or its mirrors, but don't wish to if 
it will break my system (which is i386-compatible).

Thanks for taking a look! Have a good holiday season.

...Bob
Comment 1 Bill Nottingham 2000-12-20 14:49:22 EST
What does 'uname -m' say?
Comment 2 Bob Plankers 2000-12-20 14:55:59 EST
1:57pm kurgan/plankers [~] 2>uname -m
i586
1:57pm kurgan/plankers [~] 3>uname -a
Linux kurgan 2.2.18 #1 Sun Dec 17 01:01:39 CST 2000 i586 unknown
Comment 3 Bill Nottingham 2000-12-20 22:25:32 EST
Odd. Is the RPM in /var/spool/up2date glibc-2.2-9.i386.rpm,
or glibc-2.2-9.i686.rpm?
Comment 4 Bob Plankers 2000-12-21 02:04:36 EST
Good call. In /var/spool/up2date/ there is only a 'glibc-2.2-9.i686.hdr'.
Comment 5 Bob Plankers 2000-12-21 21:15:29 EST
FYI, I have removed everything from /var/spool/up2date and retried, and I have 
upgraded to up2date 2.1.7. No luck either time. It still thinks the machine is 
an i686 and retrieves glibc-2.2-9.i686.hdr.
Comment 6 Preston Brown 2000-12-27 16:52:22 EST
cristian, this must be a server side issue.  Please look into it so we can fix 
this user's problem (and all others using K6 computers).
Comment 7 Preston Brown 2001-02-09 00:33:03 EST
Cristian, any movement on this bug?
Comment 8 Cristian Gafton 2001-02-19 20:33:41 EST
Assigned QA to jturner
Comment 9 Preston Brown 2001-02-26 18:45:24 EST
fixed in current server code.

Note You need to log in before you can comment on or make changes to this bug.